

// Added by the Spring Security Core plugin:
grails.plugin.springsecurity.userLookup.userDomainClassName = 'aclip.User'
grails.plugin.springsecurity.userLookup.authorityJoinClassName = 'aclip.UserRole'
grails.plugin.springsecurity.authority.className = 'aclip.Role'
grails.plugin.springsecurity.controllerAnnotations.staticRules = [
	[pattern: '/',               access: ['permitAll']],
	[pattern: '/error',          access: ['permitAll']],
	[pattern: '/index',          access: ['permitAll']],
	[pattern: '/index.gsp',      access: ['permitAll']],
	[pattern: '/shutdown',       access: ['permitAll']],
	[pattern: '/assets/**',      access: ['permitAll']],
	[pattern: '/**/js/**',       access: ['permitAll']],
	[pattern: '/**/css/**',      access: ['permitAll']],
	[pattern: '/**/images/**',   access: ['permitAll']],
	[pattern: '/**/favicon.ico', access: ['permitAll']],
	[pattern: '/resultsPage/**',       access: ['permitAll']],
	[pattern: '/questionsPage/**',     access: ['permitAll']],
	[pattern: '/register/**',     access: ['permitAll']],

	[pattern: '/scientistPage/**', access: ['ROLE_ADMIN']],
	[pattern: '/results/**', access: ['ROLE_ADMIN']],
	[pattern: '/csv/**', access: ['ROLE_ADMIN']],
	[pattern: '/user/**',             access: ['ROLE_ADMIN']],
	[pattern: '/role/**',             access: ['ROLE_ADMIN']],
	[pattern: '/registrationCode/**', access: ['ROLE_ADMIN']],
	[pattern: '/securityInfo/**',     access: ['ROLE_ADMIN']],
	[pattern: '/logout/**',           access: ['permitAll']],
	[pattern: '/**/dbconsole/**',   access: ['ROLE_ADMIN']]
]

grails.plugin.springsecurity.filterChain.chainMap = [
	[pattern: '/assets/**',      filters: 'none'],
	[pattern: '/**/js/**',       filters: 'none'],
	[pattern: '/**/css/**',      filters: 'none'],
	[pattern: '/**/images/**',   filters: 'none'],
	[pattern: '/**/favicon.ico', filters: 'none'],
	[pattern: '/**',             filters: 'JOINED_FILTERS']
]

grails.plugin.springsecurity.logout.postOnly = false

environments {
	production {
		grails.dbconsole.enabled = true
		grails.dbconsole.urlRoot = '/dbconsole'
	}
}

// Spring Security Email Configurations
grails {
	mail {
		host = "smtp.gmail.com"
		port = 465
		username = "mushroommail@mtu.edu"
		password = "79bURtOl"
		props = ["mail.smtp.auth":"true",
				 "mail.smtp.socketFactory.port":"465",
				 "mail.smtp.socketFactory.class":"javax.net.ssl.SSLSocketFactory",
				 "mail.smtp.socketFactory.fallback":"false"]
	}
}