package aclip

import grails.config.Config
import grails.core.support.GrailsConfigurationAware

import static org.springframework.http.HttpStatus.OK

class CSVController implements GrailsConfigurationAware{

    def index() { }

    String csvMimeType
    String encoding

    def downloadCSV() {
        final String filename = 'questionnaireData.csv'
        def head = "Id,Walking Lunges,Hamstring Exercises,Calf Raises,Landing Stabilization,Implementer Trained," +
                "Age of Athletes,Time of Program,Total Score,Date"
        def lines = Results.findAll().collect {
            [it.id, it.aQuestion1, it.aQuestion2, it.aQuestion3, it.aQuestion4,
             it.aQuestion5, it.aQuestion6, it.aQuestion7, it.total,
             it.dateCreated].join(',')
        } as List<String>

        lines.add(0, head)

        response.status = OK.value()
        response.contentType = "${csvMimeType};charset=${encoding}"
        response.setHeader "Content-disposition", "attachment; filename=${filename}"

        def outs = response.outputStream
        lines.each { String line ->
            outs << "${line}\n"
        }

        outs.flush()
        outs.close()
    }

    @Override
    void setConfiguration(Config co) {
        csvMimeType = co.getProperty('grails.mime.types.csv', String, 'text/csv')
        encoding = co.getProperty('grails.converters.encoding', String, 'UTF-8')

    }
}
