package aclip

import grails.validation.ValidationException

class ResultsController {

    ResultsService resultsService

    static allowedMethods = [save: "POST", update: "PUT", delete: "DELETE"]



    def index(Integer max) {
        params.max = Math.min(max ?: 10, 100)
        respond resultsService.list(params), model:[resultsCount: resultsService.count()]
    }

    def show(Long id) {
        respond resultsService.get(id)
    }

    def create() {
        respond new Results(params)
    }

    def save(Results results) {
        if (results == null) {
            notFound()
            return
        }

        try {
            resultsService.save(results)
        } catch (ValidationException e) {
            respond results.errors, view:'create'
            return
        }

       /* request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.created.message', args: [message(code: 'results.label', default: 'Results'), results.id])
                redirect results
            }
            '*' { respond results, [status: CREATED] }
        }*/
    }

    def edit(Long id) {
        respond resultsService.get(id)
    }

    def update(Results results) {
        if (results == null) {
            notFound()
            return
        }

        try {
            resultsService.save(results)
        } catch (ValidationException e) {
            respond results.errors, view:'edit'
            return
        }

        /*request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.updated.message', args: [message(code: 'results.label', default: 'Results'), results.id])
                redirect results
            }
            '*'{ respond results, [status: OK] }
        }*/
    }

    def delete(Long id) {
        if (id == null) {
            notFound()
            return
        }

        resultsService.delete(id)

        /*request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.deleted.message', args: [message(code: 'results.label', default: 'Results'), id])
                redirect action:"index", method:"GET"
            }
            '*'{ render status: NO_CONTENT }
        }*/
    }

    protected void notFound() {
        /*request.withFormat {
            form multipartForm {
                flash.message = message(code: 'default.not.found.message', args: [message(code: 'results.label', default: 'Results'), params.id])
                redirect action: "index", method: "GET"
            }
            '*'{ render status: NOT_FOUND }
        }*/
    }
}
