package aclip

import aclip.Role
import aclip.User
import aclip.UserRole

class BootStrap {

    def init = { servletContext ->

        new Quest(question: "Walking Lunges", canswer: "Yes", points: 1, type: "yn").save()
        new Quest(question: "Hamstring Exercises (e.g. Nordic Hamstring)", canswer: "Yes", points: 1, type: "yn").save()
        new Quest(question: "Calf Raises", canswer: "Yes", points: 1, type: "yn").save()
        new Quest(question: "Total number of landing stabilization exercises per session (e.g. drop landings, jump and hold)",
                canswer: "5", points: 5, type: "slider", minrange: 0, maxrange: 5).save()
        new Quest(question: "What is the age of the athletes you work with?", canswer: "High School", points: 1, type: "mc",
                answers: "College/Professional").save()
        new Quest(question: "When do you perform the program?", canswer: "In-Season or Both Pre/In-Season", points: 1,
                type: "mc", answers: "Pre-Seaon Only").save()
        new Quest(question: "Implementer (e.g. Coach) trained on ACL prevention programming?", canswer: "Yes",
                points: 1, type: "mc", answers: "No").save()

        // Add for creating Roles and Users
        def adminRole = new Role(authority: 'ROLE_ADMIN').save(flush: true)

        def testAdmin = new User(username: 'epetushek', password: 'acldata', email: '')
        testAdmin.save(flush: true)

        UserRole.create testAdmin, adminRole, true

        UserRole.withSession {
            it.flush()
            it.clear()
        }
    }

    def destroy = {
    }
}
