<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="site"/>
    <title>ACL Injury Prevention Questionnaire</title>

    <style>
    .correct_collapsible {
        background-color: #555;
        color: green;
        cursor: pointer;
        padding: 18px;
        width: 100%;
        border: none;
        text-align: center;
        outline: none;
        font-size: 15px;
    }

        .incorrect_collapsible {
        background-color: #555;
        color: red;
        cursor: pointer;
        padding: 18px;
        width: 100%;
        border: none;
        text-align: center;
        outline: none;
        font-size: 15px;
    }

    .active, .correct_collapsible:hover {
        background-color: #777;
    }

    .active, .incorrect_collapsible:hover {
        background-color: #777;
    }

    .content {
        padding: 0 18px;
        display: none;
        overflow: hidden;
        background-color: #f1f1f1;
    }
    </style>
</head>

<div class="jumbotron jumb-margin">
    <div class="container">
        <h1 align="center">ACL Injury Prevention Questionnaire</h1>
    </div>
</div>

<br/>


<div class="jumbotron jumb-margin" style="border: black">
    <div class="container">
        <div class="container" style="fill: 50%">
            <p align="center" >Results</p>
            <p align="center">Total Score: ${rlist?.total}/11</p>
            <p align="center">Below you can find more information about these questions.
            The red buttons denote things you may need to work on to reduce your risk of ACL injury.</p>
        </div>
    </div>
</div>

<g:if test="${rlist.a1.toString().equals('[Yes]')}">
    <button class="correct_collapsible">Walking Lunges:</button>
    <div class="content">
        <img src="${resource(dir: 'images', file: 'Lunges.png')}" alt="Grails"/>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">Walking Lunges:</button>
    <div class="content">
        <img src="${resource(dir: 'images', file: 'Lunges.png')}" alt="Grails"/>
    </div>
</g:else>

<g:if test="${rlist.a2.toString().equals('[Yes]')}">
    <button class="correct_collapsible">Hamstring Exercises:</button>
    <div class="content">
        <img src="${resource(dir: 'images', file: 'Hamstring.png')}" alt="Grails"/>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">Hamstring Exercises:</button>
    <div class="content">
        <img src="${resource(dir: 'images', file: 'Hamstring.png')}" alt="Grails"/>
    </div>
</g:else>

<g:if test="${rlist.a3.toString().equals('[Yes]')}">
    <button class="correct_collapsible">Calf Raises:</button>
    <div class="content">
        <p>-Stand on one leg with your knee slightly bent.</p>
        <p>-Hold onto a partner or wall for support if needed.</p>
        <p>-With your toes pointed forward, raise your body up as high as you can. Pause, then lower to return to the
        start position.</p>
        <p>-Do not let you knee buckle inward</p>
        <img src="${resource(dir: 'images', file: 'CalfRaise.png')}" alt="Grails"/>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">Calf Raises:</button>
    <div class="content">
        <p>-Stand on one leg with your knee slightly bent.</p>
        <p>-Hold onto a partner or wall for support if needed.</p>
        <p>-With your toes pointed forward, raise your body up as high as you can. Pause, then lower to return to the
        start position.</p>
        <p>-Do not let you knee buckle inward</p>
        <img src="${resource(dir: 'images', file: 'CalfRaise.png')}" alt="Grails"/>
    </div>
</g:else>

<g:if test="${rlist.a4.toString().equals('[5]')}">
    <button class="correct_collapsible">Landing Stabilization Exercises:</button>
    <div class="content">
        <p>Evidence suggests that the more landing stabilization exercises performed the greatly likelihood that ACL
        injuries will be prevented. Here are some examples of landing stabilization exercises.</p>
        <p>Examples:</p>
        <li>Hop and Hold (Forward/Lateral)</li>
        <li>Jump and Hold (Two or One leg)</li>
        <li>Drop Landings</li>
        <li>Skater Jump and Hold</li>
        <img src="${resource(dir: 'images', file: 'Stabilizing.png')}" alt="Grails"/>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">Landing Stabilization Exercises:</button>
    <div class="content">
        <p>Evidence suggests that the more landing stabilization exercises performed the greatly likelihood that ACL
        injuries will be prevented. Here are some examples of landing stabilization exercises.</p>
        <p>Examples:</p>
        <li>Hop and Hold (Forward/Lateral)</li>
        <li>Jump and Hold (Two or One leg)</li>
        <li>Drop Landings</li>
        <li>Skater Jump and Hold</li>
        <img src="${resource(dir: 'images', file: 'Stabilizing.png')}" alt="Grails"/>
    </div>
</g:else>

<g:if test="${rlist.a5.toString().equals('[Yes]')}">
    <button class="correct_collapsible">Implementer Training:</button>
    <div class="content">
        <p>Glad to hear you received training on implementing ACL injury prevention programs –
        if you want a brief refresher you can watch this brief video: <g:link url="https://youtu.be/gthqkrlarw4">Helpful Video
        </g:link>
        </p>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">Implementer Training:</button>
    <div class="content">
        <p>A component of effective injury prevention programs is that coaches or the individual responsible for
        leading the exercises have had training regarding how to teach the exercises and the rationale behind why
        it is important to implement these exercises. Here is a brief video you can watch learn about how and why
        to implement ACL injury prevention programs: <g:link url="https://youtu.be/gthqkrlarw4">Helpful Video
        </g:link></p>
    </div>
</g:else>

<g:if test="${rlist.a6.toString().equals('[High School]')}">
    <button class="correct_collapsible">Age of Athlete:</button>
    <div class="content">
        <p>Keep up the great work – the earlier you beginning utilizing exercise based injury prevention programs the
        better.</p>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">Age of Athlete:</button>
    <div class="content">
        <p>Evidence suggests that ACL injury prevention programs work better for younger athletes, however they can be
        also be effective for older athletes.</p>
    </div>
</g:else>

<g:if test="${rlist.a7.toString().equals('[In-Season or Both Pre/In-Season]')}">
    <button class="correct_collapsible">When You Perform Training:</button>
    <div class="content">
        <p>Keep up the great work! The more the athletes engage in injury prevention exercises, the more
        effect they have. To maximize prevention effects, the exercises can be utilized throughout the season 2-3 times
        per week.</p>
    </div>
</g:if>
<g:else>
    <button class="incorrect_collapsible">When You Perform Training:</button>
    <div class="content">
        <p>Evidence suggests that the more the athletes engage in injury prevention exercises, the more
        effect they have. To maximize prevention effects, the exercises can be utilized throughout the season 2-3 times
        per week. </p>
    </div>
</g:else>


<br/>
<br/>
<h2 align="center">Thank You for Completing the Questionnaire</h2>
<br/>


<script>
    var coll = document.getElementsByClassName("correct_collapsible");
    var i;

    for (i = 0; i < coll.length; i++) {
        coll[i].addEventListener("click", function() {
            this.classList.toggle("active");
            var content = this.nextElementSibling;
            if (content.style.display === "block") {
                content.style.display = "none";
            } else {
                content.style.display = "block";
            }
        });
    }
</script>

<script>
    var coll = document.getElementsByClassName("incorrect_collapsible");
    var i;

    for (i = 0; i < coll.length; i++) {
        coll[i].addEventListener("click", function() {
            this.classList.toggle("active");
            var content = this.nextElementSibling;
            if (content.style.display === "block") {
                content.style.display = "none";
            } else {
                content.style.display = "block";
            }
        });
    }
</script>


</body>


</html>